Skip to main content
PUT
Update play

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uuid
string<uuid>
required

Play identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Body

application/json

Request body schema.

name
string

Play name.

description
string | null

Play description.

isEnabled
boolean

Whether the play is enabled.

filter
Filter · object

Segment filter criteria.

sort
Sort · object[] | null

Sort criteria.

limit
number | null

Maximum number of records.

trackingColumnSlugs
string[] | null

Tracking column identifiers.

changeKinds
enum<string>[]

Change kinds to include.

Available options:
added,
updated,
removed,
unchanged
runCreationRule
enum<string>

Run creation rule.

Available options:
always,
once,
noConcurrency
schedule
Schedule · object

Play schedule configuration.

healthThreshold
number

Health threshold for alerts.

healthAlertActions
Health alert actions · object[]

Health alert actions configuration.

folderUuid
string<uuid> | null

Folder identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
template
Template · object

Template publishing configuration.

Response

Successful response

play
Play · object
required

Updated play details.